/*############################################################################
#                                                                            #
#             I2CLN^[LCDuAQM0802A-RN-GBWvphCo                #
#                                                                            #
#@RpCmFFAtmelStudio 6.1(SP2)                                  #
#                                                                            #
#                                                  2014/02/17 Create by nPYO #
#@mFW[F                                                      #
#@@Hʏ uAQM0802A-RN-GBWv(8x2s)                                   #
#                                                                            #
############################################################################*/
#ifndef __LCD_ST7032_H__
#define __LCD_ST7032_H__

#include <avr/io.h>
#include <avr/pgmspace.h>

/************************************************************************/
/* 		@@@@@@@@[U[`		                    */
/* @@@@@@@@gpɍ킹Đݒ肷邱	                    */
/************************************************************************/
#ifdef __LCD_ST7032_C__

/* ZbgRg[gp/gpݒ	*/
#define USE_RESET 1					/* 0:gp 1:gp					*/

/* obNCggp/gpݒ		*/
#define USE_BACKLIGHT 0				/* 0:gp 1:gp(HiANeBu)	*/

/* Zbg|[gErbg`		*/
#if USE_RESET
#define RESET_PIN PIND
#define RESET_BIT 3
#endif

/* obNCg |[gErbg`	*/
#if USE_BACKLIGHT
#define BACKLIGHT_PIN PIND
#define BACKLIGHT_BIT 6
#endif

/* X[uAhX`			*/
#define ST7032_TWI_ADDR 0x3e

#endif

/************************************************************************/
/* 		@@@@@@@@[U[`܂		                    */
/* @@@@@@@@@@@@ȉ͕ύXs								*/
/************************************************************************/

/* J[\^Cv`				*/
typedef enum _LCD_CURSOL_TYPE { LCD_CURSOL_OFF      = 0x00 ,
								LCD_CURCOL_BLINK    = 0x01 ,
								LCD_CURSOL_UNDERBAR = 0x02
} LCD_CURSOL_TYPE;

/* 萔`							*/
#ifndef ON
#define ON 1
#endif

#ifndef OFF
#define OFF 0
#endif

/*	֐vg^Cv錾			*/
void lcdInit( uint8_t contrast );
uint8_t lcdBackLightStatus( void );
void lcdSetBackLightBrightness( uint8_t lv );
void lcdBackLight( uint8_t sw );
void lcdSetChar( uint8_t idx ,uint8_t *data );
void lcdCls( void );
void lcdCursol( LCD_CURSOL_TYPE type );
void lcdLocate( uint8_t row ,uint8_t column );
void lcdPutc( char c );
void lcdPuts( char *s );
void lcdPuts_P( const char *s );

#endif
